import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { InsuranceContactCreateManyUserInputObjectSchema as InsuranceContactCreateManyUserInputObjectSchema } from './InsuranceContactCreateManyUserInput.schema'

const makeSchema = () => z.object({
  data: z.union([z.lazy(() => InsuranceContactCreateManyUserInputObjectSchema), z.lazy(() => InsuranceContactCreateManyUserInputObjectSchema).array()]),
  skipDuplicates: z.boolean().optional()
}).strict();
export const InsuranceContactCreateManyUserInputEnvelopeObjectSchema: z.ZodType<Prisma.InsuranceContactCreateManyUserInputEnvelope> = makeSchema() as unknown as z.ZodType<Prisma.InsuranceContactCreateManyUserInputEnvelope>;
export const InsuranceContactCreateManyUserInputEnvelopeObjectZodSchema = makeSchema();
